Lists the history

- « readline_info

- readline_on_new_line »

- PHP Manual
- Readline Functions
- Lists the history

# readline_list_history

(PHP 4, PHP 5, PHP 7, PHP 8)

readline_list_history — Lists the history

### Description

readline_list_history(): array

Gets the entire command line history.

### Parameters

This function has no parameters.

### Return Values

Returns an array of the entire command line history. The elements are indexed by integers starting at zero.